Page MenuHomePhabricator

[mlir] Add vector op support to cuda-runner including vector.print
ClosedPublic

Authored by ThomasRaoux on Feb 23 2021, 4:39 PM.

Diff Detail

Event Timeline

ThomasRaoux created this revision.Feb 23 2021, 4:39 PM
ThomasRaoux requested review of this revision.Feb 23 2021, 4:39 PM
Herald added a project: Restricted Project. · View Herald Transcript
herhut added inline comments.Feb 24 2021, 12:42 AM
mlir/test/mlir-cuda-runner/gpu-to-cubin.mlir
19 ↗(On Diff #325935)

Could you instead have an additional test case?

ThomasRaoux added inline comments.Feb 25 2021, 7:45 AM
mlir/test/mlir-cuda-runner/gpu-to-cubin.mlir
19 ↗(On Diff #325935)

I added a vector.print without changing the rest of the test. Does that make sense to you or do you think it should be a different test? I didn't to copy paste this test but if you think it is clearer I can change it.

nicolasvasilache accepted this revision.Mar 4 2021, 11:15 AM
This revision is now accepted and ready to land.Mar 4 2021, 11:15 AM
This revision was landed with ongoing or failed builds.Thu, Mar 18, 1:03 PM
This revision was automatically updated to reflect the committed changes.

Failing a buildbot https://lab.llvm.org/buildbot/#/builders/33/builds/3150.

ConvertLaunchFuncToRuntimeCalls.cpp:(.text._ZN12_GLOBAL__N_123GpuToLLVMConversionPass14runOnOperationEv+0x84): undefined reference to `mlir::populateVectorToLLVMConversionPatterns(mlir::LLVMTypeConverter&, mlir::OwningRewritePatternList&, bool, bool)'

Failing a buildbot https://lab.llvm.org/buildbot/#/builders/33/builds/3150.

ConvertLaunchFuncToRuntimeCalls.cpp:(.text._ZN12_GLOBAL__N_123GpuToLLVMConversionPass14runOnOperationEv+0x84): undefined reference to `mlir::populateVectorToLLVMConversionPatterns(mlir::LLVMTypeConverter&, mlir::OwningRewritePatternList&, bool, bool)'

Should be fixed by: https://github.com/llvm/llvm-project/commit/44f24f3996e8a32d0bb3d6d79a66643c36f088da